# DocBook to HTML - Division Elements

## Parameters

`db2html.linktrail`

  Whether to place a link trail under the header

`db2html.navbar.top`

  Whether to place a navigation bar at the top of the page

`db2html.navbar.bottom`

  Whether to place a navigation bar at the bottom of the page

`db2html.sidenav`

  Whether to create a navigation sidebar

## Modes

`db2html.division.div.content.mode`

  Renders the block-level content of a division element

## Templates

`db2html.division.html`

  Renders a complete HTML page for a division element

`db2html.division.div`

  Renders the content of a division element, chunking children if necessary

`db2html.header`

  Generates a header with a title and optional subtitle

`db2html.linktrail`

  Generates links to pages from ancestor elements

`db2html.navbar`

  Generates navigation links for a page

`db2html.sidenav`

  Generates a navigation sidebar

`db2html.division.head.extra`

  FIXME

`db2html.division.top`

  FIXME

`db2html.division.sidebar`

  FIXME

`db2html.division.bottom`

  FIXME

## `db2html.linktrail`

Whether to place a link trail under the header

### Description

This boolean parameter specifies whether a block containing links to ancestor elements should be included under the header.

## `db2html.navbar.top`

Whether to place a navigation bar at the top of the page

### Description

This boolean parameter specifies whether a block containing navigation links should be placed at the top of the page. The top navigation bar is inserted by `db2html.division.top`, so this parameter may have no effect if that template has been overridden.

## `db2html.navbar.bottom`

Whether to place a navigation bar at the bottom of the page

### Description

This boolean parameter specifies whether a block containing navigation links should be placed at the bottom of the page. The bottom navigation bar is inserted by `db2html.division.bottom`, so this parameter may have no effect if that template has been overridden.

## `db2html.sidenav`

Whether to create a navigation sidebar

### Description

This boolean parameter specifies whether a full navigation tree in a sidebar. The navigation sidebar is inserted by `db2html.division.sidebar`, so this parameter may have no effect if that template has been overridden.

## `db2html.division.div.content.mode`

Renders the block-level content of a division element

### Parameters

`depth_in_chunk`

  The depth of the context element in the containing chunk

`depth_of_chunk`

  The depth of the containing chunk in the document

### Description

## `db2html.division.html`

Renders a complete HTML page for a division element

### Parameters

`node`

  The element to create an HTML page for

`info`

  The info child element of `node`

`template`

  The named template to call to create the page

`depth_of_chunk`

  The depth of the containing chunk in the document

`prev_id`

  The id of the previous page

`next_id`

  The id of the next page

### Description

## `db2html.division.div`

Renders the content of a division element, chunking children if necessary

### Parameters

`node`

  The element to render the content of

`info`

  The info child element of `node`

`title_node`

  The element containing the title of `node`

`subtitle_node`

  The element containing the subtitle of `node`

`title_content`

  The title for divisions lacking a `title` tag

`subtitle_content`

  The subtitle for divisions lacking a `subtitle` tag

`entries`

  The entry-style child elements

`divisions`

  The division-level child elements

`callback`

  Whether to process `node` in `db2html.division.div.content.mode`

`depth_in_chunk`

  The depth of `node` in the containing chunk

`depth_of_chunk`

  The depth of the containing chunk in the document

`chunk_divisions`

  Whether to create new documents for `divisions`

`chunk_info`

  Whether to create a new document for a title page

`autotoc_depth`

  How deep to create contents listings of `divisions`

`lang`

  The locale of the text in `node`

`dir`

  The text direction, either `ltr` or `rtl`

### Description

## `db2html.header`

Generates a header with a title and optional subtitle

### Parameters

`node`

  The element containing the title

`title_node`

  The `title` element to render

`subtitle_node`

  The `subtitle` element to render

`depth_in_chunk`

  The depth of `node` in the containing chunk

`depth_of_chunk`

  The depth of the containing chunk in the document

`generate_label`

  Whether to generate a label in the title

`title_content`

  An optional string containing the title

`subtitle_content`

  An optional string containing the subtitle

### Description

## `db2html.linktrail`

Generates links to pages from ancestor elements

### Parameters

`node`

  The element to generate links for

### Description

## `db2html.navbar`

Generates navigation links for a page

### Parameters

`node`

  The element to generate links for

`prev_id`

  The id of the previous page

`next_id`

  The id of the next page

`prev_node`

  The element of the previous page

`next_node`

  The element of the next page

`position`

  Where the block is positioned on the pages, either 'top' or 'bottom'

### Description

## `db2html.sidenav`

Generates a navigation sidebar

### Parameters

`node`

  The currently-selected division element

`template`

  The named template to call to create the page

### Description

## `db2html.division.head.extra`

FIXME

### Description

## `db2html.division.top`

FIXME

### Parameters

`node`

  The division element being rendered

`info`

  The info child element of `node`

`template`

  The named template to call to create the page

`depth_of_chunk`

  The depth of the containing chunk in the document

`prev_id`

  The id of the previous page

`next_id`

  The id of the next page

`prev_node`

  The element of the previous page

`next_node`

  The element of the next page

### Description

## `db2html.division.sidebar`

FIXME

### Parameters

`node`

  The division element being rendered

`info`

  The info child element of `node`

`template`

  The named template to call to create the page

`depth_of_chunk`

  The depth of the containing chunk in the document

`prev_id`

  The id of the previous page

`next_id`

  The id of the next page

`prev_node`

  The element of the previous page

`next_node`

  The element of the next page

### Description

## `db2html.division.bottom`

FIXME

### Parameters

`node`

  The division element being rendered

`info`

  The info child element of `node`

`template`

  The named template to call to create the page

`depth_of_chunk`

  The depth of the containing chunk in the document

`prev_id`

  The id of the previous page

`next_id`

  The id of the next page

`prev_node`

  The element of the previous page

`next_node`

  The element of the next page

### Description